SDL_EnumerationResult(3type)

NAME
SDL_EnumerationResult - Possible results from an enumeration callback.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

typedef enum SDL_EnumerationResult
{
    SDL_ENUM_CONTINUE,   /**< Value that requests that enumeration continue. */
    SDL_ENUM_SUCCESS,    /**< Value that requests that enumeration stop, successfully. */
    SDL_ENUM_FAILURE     /**< Value that requests that enumeration stop, as a failure. */
} SDL_EnumerationResult;

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
SDL_EnumerateDirectoryCallback(3type)